/*===========================================================================*/
/*   (Jvm/expr.scm)                                                          */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Jvm/expr.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
extern obj_t BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(BgL_boxzd2refzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_methodzd2initzd2zzjvm_exprz00();
static obj_t BGl_compilezd2exprzd2pragma3044z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_boxzd2setz12zc0_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2funcallzd2zzjvm_compilerz00(BgL_funcallz00_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2exprzd2select3034z00zzjvm_exprz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2getfieldzd2zzjvm_compilerz00(BgL_getfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2pragmazd2zzjvm_compilerz00(BgL_pragmaz00_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(BgL_makezd2boxzd2_bglt, BgL_envz00_bglt);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_pragmaz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2getfield3046z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2vlength3058z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2makezd2box3070zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2failzd2zzjvm_compilerz00(BgL_failz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2atomzd2zzjvm_compilerz00(obj_t, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2cast3062z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2default3019z00zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2exprzd2boxzd2setz123074zc0zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzjvm_exprz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2vsetz123056z12zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2new3050z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_exprz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2conditional3032z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2boxzd2ref3072zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_vsetz12z12_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2exprzd2appzd2ly3040zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2vref3054z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2valloczd2zzjvm_compilerz00(BgL_vallocz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2setq3028z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzjvm_exprz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
static obj_t BGl_compilezd2exprzd2jumpzd2exzd2it3066z00zzjvm_exprz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_compilezd2exprzd2var3024z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2appzd2zzjvm_compilerz00(BgL_appz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2vrefzd2zzjvm_compilerz00(BgL_vrefz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2vlengthzd2zzjvm_compilerz00(BgL_vlengthz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_setqz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2newzd2zzjvm_compilerz00(BgL_newz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2setzd2exzd2it3064z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilezd2exprzd2default3019z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2applyzd2zzjvm_compilerz00(BgL_appzd2lyzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2atom3022z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(BgL_jumpzd2exzd2itz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_setfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_newz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl__getstaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2exprzd2valloc3052z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2isa3060z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2sequence3030z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2isazd2zzjvm_compilerz00(BgL_isaz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2setexitzd2zzjvm_compilerz00(BgL_setzd2exzd2itz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_exprz00 = BUNSPEC;
static obj_t BGl_compilezd2exprzd2setfield3048z00zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2letzd2fun3036zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2exprzd2fail3068z00zzjvm_exprz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl__compilezd2expr3662zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_exprz00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl_compilezd2exprzd2funcall3042z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2varzd2zzjvm_compilerz00(BgL_varz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2app3038z00zzjvm_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2letzd2var3026zd2zzjvm_exprz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_GENERIC( BGl_compilezd2exprzd2envz00zzjvm_exprz00, BgL_bgl__compileza7d2expr3662za7d2za7za7jvm_exprza7003846za7, BGl__compilezd2expr3662zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2exprzd2default3019zd2envzd2zzjvm_exprz00, BgL_bgl__compileza7d2exprza7d2default3019za700za7za7jvm_exprza7003847z00, BGl__compilezd2exprzd2default3019z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3800z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2app3038za700za7za7jvm_exprza7003848z00, BGl_compilezd2exprzd2app3038z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3801z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2appza7d2ly3040za7d2za7za7jvm_exprza7003849za7, BGl_compilezd2exprzd2appzd2ly3040zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3802z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2funcall3042za700za7za7jvm_exprza7003850z00, BGl_compilezd2exprzd2funcall3042z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3792z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2atom3022za700za7za7jvm_exprza7003851z00, BGl_compilezd2exprzd2atom3022z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3803z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2pragma3044za700za7za7jvm_exprza7003852z00, BGl_compilezd2exprzd2pragma3044z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3793z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2var3024za700za7za7jvm_exprza7003853z00, BGl_compilezd2exprzd2var3024z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3804z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2getfield3046za700za7za7jvm_exprza7003854z00, BGl_compilezd2exprzd2getfield3046z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3794z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2letza7d2var3026za7d2za7za7jvm_exprza7003855za7, BGl_compilezd2exprzd2letzd2var3026zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3805z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2setfield3048za700za7za7jvm_exprza7003856z00, BGl_compilezd2exprzd2setfield3048z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3795z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2setq3028za700za7za7jvm_exprza7003857z00, BGl_compilezd2exprzd2setq3028z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3806z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2new3050za700za7za7jvm_exprza7003858z00, BGl_compilezd2exprzd2new3050z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3796z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2sequence3030za700za7za7jvm_exprza7003859z00, BGl_compilezd2exprzd2sequence3030z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3807z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2valloc3052za700za7za7jvm_exprza7003860z00, BGl_compilezd2exprzd2valloc3052z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3797z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2conditional3032za700za7za7jvm_exprza7003861z00, BGl_compilezd2exprzd2conditional3032z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3808z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2vref3054za700za7za7jvm_exprza7003862z00, BGl_compilezd2exprzd2vref3054z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3798z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2select3034za700za7za7jvm_exprza7003863z00, BGl_compilezd2exprzd2select3034z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3810z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2vlength3058za700za7za7jvm_exprza7003864z00, BGl_compilezd2exprzd2vlength3058z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3809z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2vsetza7123056za712za7za7jvm_exprza7003865za7, BGl_compilezd2exprzd2vsetz123056z12zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3799z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2letza7d2fun3036za7d2za7za7jvm_exprza7003866za7, BGl_compilezd2exprzd2letzd2fun3036zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3811z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2isa3060za700za7za7jvm_exprza7003867z00, BGl_compilezd2exprzd2isa3060z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3812z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2cast3062za700za7za7jvm_exprza7003868z00, BGl_compilezd2exprzd2cast3062z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3813z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2setza7d2exza7d2it3064za700za7za7jvm_exprza7003869z00, BGl_compilezd2exprzd2setzd2exzd2it3064z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3814z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2jumpza7d2exza7d2it3066za700za7za7jvm_exprza7003870z00, BGl_compilezd2exprzd2jumpzd2exzd2it3066z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3815z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2fail3068za700za7za7jvm_exprza7003871z00, BGl_compilezd2exprzd2fail3068z00zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3816z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2makeza7d2box3070za7d2za7za7jvm_exprza7003872za7, BGl_compilezd2exprzd2makezd2box3070zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3817z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2boxza7d2ref3072za7d2za7za7jvm_exprza7003873za7, BGl_compilezd2exprzd2boxzd2ref3072zd2zzjvm_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3818z00zzjvm_exprz00, BgL_bgl_compileza7d2exprza7d2boxza7d2setza7123074za7c0za7za7jvm_exprza7003874z00, BGl_compilezd2exprzd2boxzd2setz123074zc0zzjvm_exprz00, 0L, 2 );
DEFINE_STRING( BGl_string3820z00zzjvm_exprz00, BgL_bgl_string3820za700za7za7jvm_exprza7003875z00, "compile-expr-default3019 unspecified ", 37 );
DEFINE_STRING( BGl_string3819z00zzjvm_exprz00, BgL_bgl_string3819za700za7za7jvm_exprza7003876z00, "No method for this object", 25 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long BgL_checksumz00_1583, char * BgL_fromz00_1584)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_exprz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_exprz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_exprz00(); 
BGl_cnstzd2initzd2zzjvm_exprz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_exprz00(); 
BGl_methodzd2initzd2zzjvm_exprz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_exprz00()
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_expr"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_exprz00()
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 2 */
{ /* ./Jvm/expr.scm 2 */
obj_t BgL_cportz00_1546;
BgL_cportz00_1546 = 
open_input_string(BGl_string3820z00zzjvm_exprz00); 
{ 
long BgL_iz00_1547;
BgL_iz00_1547 = ((long)1); 
BgL_loopz00_1548:
{ /* ./Jvm/expr.scm 2 */
bool_t BgL_test3822z00_1549;
BgL_test3822z00_1549 = 
(BgL_iz00_1547==((long)-1)); 
if(BgL_test3822z00_1549)
{ /* ./Jvm/expr.scm 2 */
return BUNSPEC;}  else 
{ /* ./Jvm/expr.scm 2 */
{ /* ./Jvm/expr.scm 2 */
obj_t BgL_arg3824z00_1550;
{ /* ./Jvm/expr.scm 2 */
obj_t BgL_list3827z00_1551;
BgL_list3827z00_1551 = 
MAKE_PAIR(BgL_cportz00_1546, BNIL); 
BgL_arg3824z00_1550 = 
BGl_readz00zz__readerz00(BgL_list3827z00_1551); } 
{ /* ./Jvm/expr.scm 2 */
int BgL_auxz00_1599;
BgL_auxz00_1599 = 
(int)(BgL_iz00_1547); 
CNST_TABLE_SET(BgL_auxz00_1599, BgL_arg3824z00_1550); } } 
{ /* ./Jvm/expr.scm 2 */
int BgL_auxz00_1552;
{ /* ./Jvm/expr.scm 2 */
long BgL_auxz00_1602;
BgL_auxz00_1602 = 
(BgL_iz00_1547-((long)1)); 
BgL_auxz00_1552 = 
(int)(BgL_auxz00_1602); } 
{ 
long BgL_iz00_1605;
BgL_iz00_1605 = 
(long)(BgL_auxz00_1552); 
BgL_iz00_1547 = BgL_iz00_1605; 
goto BgL_loopz00_1548;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_exprz00()
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_exprz00()
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_compilezd2exprzd2default3019zd2envzd2zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_atomz00zzast_nodez00, BGl_proc3792z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_varz00zzast_nodez00, BGl_proc3793z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3794z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_setqz00zzast_nodez00, BGl_proc3795z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_sequencez00zzast_nodez00, BGl_proc3796z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_conditionalz00zzast_nodez00, BGl_proc3797z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_selectz00zzast_nodez00, BGl_proc3798z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3799z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_appz00zzast_nodez00, BGl_proc3800z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3801z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_funcallz00zzast_nodez00, BGl_proc3802z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_pragmaz00zzast_nodez00, BGl_proc3803z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_getfieldz00zzast_nodez00, BGl_proc3804z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_setfieldz00zzast_nodez00, BGl_proc3805z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_newz00zzast_nodez00, BGl_proc3806z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_vallocz00zzast_nodez00, BGl_proc3807z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_vrefz00zzast_nodez00, BGl_proc3808z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_vsetz12z12zzast_nodez00, BGl_proc3809z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_vlengthz00zzast_nodez00, BGl_proc3810z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_isaz00zzast_nodez00, BGl_proc3811z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_castz00zzast_nodez00, BGl_proc3812z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3813z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3814z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_failz00zzast_nodez00, BGl_proc3815z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3816z00zzjvm_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3817z00zzjvm_exprz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3818z00zzjvm_exprz00);} 
}



/* compile-expr-box-set!3074 */
obj_t BGl_compilezd2exprzd2boxzd2setz123074zc0zzjvm_exprz00(obj_t BgL_envz00_1462, obj_t BgL_ez00_1463, obj_t BgL_envz00_1464)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 91 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_1392;BgL_envz00_bglt BgL_envz00_1393;
BgL_ez00_1392 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_1463); 
BgL_envz00_1393 = 
(BgL_envz00_bglt)(BgL_envz00_1464); 
BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_ez00_1392, BgL_envz00_1393); 
{ /* ./Jvm/expr.scm 93 */
obj_t BgL_arg3642z00_1403;
BgL_arg3642z00_1403 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1393, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_1393, BgL_arg3642z00_1403);} } } 
}



/* compile-expr-box-ref3072 */
obj_t BGl_compilezd2exprzd2boxzd2ref3072zd2zzjvm_exprz00(obj_t BgL_envz00_1465, obj_t BgL_ez00_1466, obj_t BgL_envz00_1467)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 88 */
{ /* ./Jvm/expr.scm 89 */
BgL_boxzd2refzd2_bglt BgL_ez00_1553;BgL_envz00_bglt BgL_envz00_1554;
BgL_ez00_1553 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_1466); 
BgL_envz00_1554 = 
(BgL_envz00_bglt)(BgL_envz00_1467); 
return 
BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(BgL_ez00_1553, BgL_envz00_1554);} } 
}



/* compile-expr-make-box3070 */
obj_t BGl_compilezd2exprzd2makezd2box3070zd2zzjvm_exprz00(obj_t BgL_envz00_1468, obj_t BgL_ez00_1469, obj_t BgL_envz00_1470)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 85 */
{ /* ./Jvm/expr.scm 86 */
BgL_makezd2boxzd2_bglt BgL_ez00_1555;BgL_envz00_bglt BgL_envz00_1556;
BgL_ez00_1555 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_1469); 
BgL_envz00_1556 = 
(BgL_envz00_bglt)(BgL_envz00_1470); 
return 
BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(BgL_ez00_1555, BgL_envz00_1556);} } 
}



/* compile-expr-fail3068 */
obj_t BGl_compilezd2exprzd2fail3068z00zzjvm_exprz00(obj_t BgL_envz00_1471, obj_t BgL_ez00_1472, obj_t BgL_envz00_1473)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 82 */
{ /* ./Jvm/expr.scm 83 */
BgL_failz00_bglt BgL_ez00_1557;BgL_envz00_bglt BgL_envz00_1558;
BgL_ez00_1557 = 
(BgL_failz00_bglt)(BgL_ez00_1472); 
BgL_envz00_1558 = 
(BgL_envz00_bglt)(BgL_envz00_1473); 
return 
BGl_compilerzd2failzd2zzjvm_compilerz00(BgL_ez00_1557, BgL_envz00_1558);} } 
}



/* compile-expr-jump-ex-it3066 */
obj_t BGl_compilezd2exprzd2jumpzd2exzd2it3066z00zzjvm_exprz00(obj_t BgL_envz00_1474, obj_t BgL_ez00_1475, obj_t BgL_envz00_1476)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 79 */
{ /* ./Jvm/expr.scm 80 */
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_1559;BgL_envz00_bglt BgL_envz00_1560;
BgL_ez00_1559 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_1475); 
BgL_envz00_1560 = 
(BgL_envz00_bglt)(BgL_envz00_1476); 
return 
BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(BgL_ez00_1559, BgL_envz00_1560);} } 
}



/* compile-expr-set-ex-it3064 */
obj_t BGl_compilezd2exprzd2setzd2exzd2it3064z00zzjvm_exprz00(obj_t BgL_envz00_1477, obj_t BgL_ez00_1478, obj_t BgL_envz00_1479)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 76 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_1362;obj_t BgL_envz00_1363;
BgL_ez00_1362 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_1478); 
BgL_envz00_1363 = BgL_envz00_1479; 
return 
BGl_compilerzd2setexitzd2zzjvm_compilerz00(BgL_ez00_1362, 
(BgL_envz00_bglt)(BgL_envz00_1363), BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-cast3062 */
obj_t BGl_compilezd2exprzd2cast3062z00zzjvm_exprz00(obj_t BgL_envz00_1480, obj_t BgL_ez00_1481, obj_t BgL_envz00_1482)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 73 */
{ 
BgL_castz00_bglt BgL_ez00_1356;BgL_envz00_bglt BgL_envz00_1357;
BgL_ez00_1356 = 
(BgL_castz00_bglt)(BgL_ez00_1481); 
BgL_envz00_1357 = 
(BgL_envz00_bglt)(BgL_envz00_1482); 
return 
BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_ez00_1356, BgL_envz00_1357, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-isa3060 */
obj_t BGl_compilezd2exprzd2isa3060z00zzjvm_exprz00(obj_t BgL_envz00_1483, obj_t BgL_ez00_1484, obj_t BgL_envz00_1485)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 70 */
{ /* ./Jvm/expr.scm 71 */
BgL_isaz00_bglt BgL_ez00_1561;BgL_envz00_bglt BgL_envz00_1562;
BgL_ez00_1561 = 
(BgL_isaz00_bglt)(BgL_ez00_1484); 
BgL_envz00_1562 = 
(BgL_envz00_bglt)(BgL_envz00_1485); 
return 
BGl_compilerzd2isazd2zzjvm_compilerz00(BgL_ez00_1561, BgL_envz00_1562);} } 
}



/* compile-expr-vlength3058 */
obj_t BGl_compilezd2exprzd2vlength3058z00zzjvm_exprz00(obj_t BgL_envz00_1486, obj_t BgL_ez00_1487, obj_t BgL_envz00_1488)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 67 */
{ /* ./Jvm/expr.scm 68 */
BgL_vlengthz00_bglt BgL_ez00_1563;BgL_envz00_bglt BgL_envz00_1564;
BgL_ez00_1563 = 
(BgL_vlengthz00_bglt)(BgL_ez00_1487); 
BgL_envz00_1564 = 
(BgL_envz00_bglt)(BgL_envz00_1488); 
return 
BGl_compilerzd2vlengthzd2zzjvm_compilerz00(BgL_ez00_1563, BgL_envz00_1564);} } 
}



/* compile-expr-vset!3056 */
obj_t BGl_compilezd2exprzd2vsetz123056z12zzjvm_exprz00(obj_t BgL_envz00_1489, obj_t BgL_ez00_1490, obj_t BgL_envz00_1491)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 63 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_1337;BgL_envz00_bglt BgL_envz00_1338;
BgL_ez00_1337 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_1490); 
BgL_envz00_1338 = 
(BgL_envz00_bglt)(BgL_envz00_1491); 
BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_ez00_1337, BgL_envz00_1338); 
{ /* ./Jvm/expr.scm 65 */
obj_t BgL_arg3575z00_1402;
BgL_arg3575z00_1402 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1338, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_1338, BgL_arg3575z00_1402);} } } 
}



/* compile-expr-vref3054 */
obj_t BGl_compilezd2exprzd2vref3054z00zzjvm_exprz00(obj_t BgL_envz00_1492, obj_t BgL_ez00_1493, obj_t BgL_envz00_1494)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 60 */
{ /* ./Jvm/expr.scm 61 */
BgL_vrefz00_bglt BgL_ez00_1565;BgL_envz00_bglt BgL_envz00_1566;
BgL_ez00_1565 = 
(BgL_vrefz00_bglt)(BgL_ez00_1493); 
BgL_envz00_1566 = 
(BgL_envz00_bglt)(BgL_envz00_1494); 
return 
BGl_compilerzd2vrefzd2zzjvm_compilerz00(BgL_ez00_1565, BgL_envz00_1566);} } 
}



/* compile-expr-valloc3052 */
obj_t BGl_compilezd2exprzd2valloc3052z00zzjvm_exprz00(obj_t BgL_envz00_1495, obj_t BgL_ez00_1496, obj_t BgL_envz00_1497)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 57 */
{ /* ./Jvm/expr.scm 58 */
BgL_vallocz00_bglt BgL_ez00_1567;BgL_envz00_bglt BgL_envz00_1568;
BgL_ez00_1567 = 
(BgL_vallocz00_bglt)(BgL_ez00_1496); 
BgL_envz00_1568 = 
(BgL_envz00_bglt)(BgL_envz00_1497); 
return 
BGl_compilerzd2valloczd2zzjvm_compilerz00(BgL_ez00_1567, BgL_envz00_1568);} } 
}



/* compile-expr-new3050 */
obj_t BGl_compilezd2exprzd2new3050z00zzjvm_exprz00(obj_t BgL_envz00_1498, obj_t BgL_ez00_1499, obj_t BgL_envz00_1500)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 54 */
{ /* ./Jvm/expr.scm 55 */
BgL_newz00_bglt BgL_ez00_1569;BgL_envz00_bglt BgL_envz00_1570;
BgL_ez00_1569 = 
(BgL_newz00_bglt)(BgL_ez00_1499); 
BgL_envz00_1570 = 
(BgL_envz00_bglt)(BgL_envz00_1500); 
return 
BGl_compilerzd2newzd2zzjvm_compilerz00(BgL_ez00_1569, BgL_envz00_1570);} } 
}



/* compile-expr-setfield3048 */
obj_t BGl_compilezd2exprzd2setfield3048z00zzjvm_exprz00(obj_t BgL_envz00_1501, obj_t BgL_ez00_1502, obj_t BgL_envz00_1503)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 50 */
{ 
BgL_setfieldz00_bglt BgL_ez00_1312;BgL_envz00_bglt BgL_envz00_1313;
BgL_ez00_1312 = 
(BgL_setfieldz00_bglt)(BgL_ez00_1502); 
BgL_envz00_1313 = 
(BgL_envz00_bglt)(BgL_envz00_1503); 
BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_ez00_1312, BgL_envz00_1313); 
{ /* ./Jvm/expr.scm 52 */
obj_t BgL_arg3543z00_1401;
BgL_arg3543z00_1401 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1313, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_1313, BgL_arg3543z00_1401);} } } 
}



/* compile-expr-getfield3046 */
obj_t BGl_compilezd2exprzd2getfield3046z00zzjvm_exprz00(obj_t BgL_envz00_1504, obj_t BgL_ez00_1505, obj_t BgL_envz00_1506)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 47 */
{ /* ./Jvm/expr.scm 48 */
BgL_getfieldz00_bglt BgL_ez00_1571;BgL_envz00_bglt BgL_envz00_1572;
BgL_ez00_1571 = 
(BgL_getfieldz00_bglt)(BgL_ez00_1505); 
BgL_envz00_1572 = 
(BgL_envz00_bglt)(BgL_envz00_1506); 
return 
BGl_compilerzd2getfieldzd2zzjvm_compilerz00(BgL_ez00_1571, BgL_envz00_1572);} } 
}



/* compile-expr-pragma3044 */
obj_t BGl_compilezd2exprzd2pragma3044z00zzjvm_exprz00(obj_t BgL_envz00_1507, obj_t BgL_ez00_1508, obj_t BgL_envz00_1509)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 44 */
{ /* ./Jvm/expr.scm 45 */
BgL_pragmaz00_bglt BgL_ez00_1573;BgL_envz00_bglt BgL_envz00_1574;
BgL_ez00_1573 = 
(BgL_pragmaz00_bglt)(BgL_ez00_1508); 
BgL_envz00_1574 = 
(BgL_envz00_bglt)(BgL_envz00_1509); 
return 
BGl_compilerzd2pragmazd2zzjvm_compilerz00(BgL_ez00_1573, BgL_envz00_1574);} } 
}



/* compile-expr-funcall3042 */
obj_t BGl_compilezd2exprzd2funcall3042z00zzjvm_exprz00(obj_t BgL_envz00_1510, obj_t BgL_ez00_1511, obj_t BgL_envz00_1512)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 41 */
{ /* ./Jvm/expr.scm 42 */
BgL_funcallz00_bglt BgL_ez00_1575;BgL_envz00_bglt BgL_envz00_1576;
BgL_ez00_1575 = 
(BgL_funcallz00_bglt)(BgL_ez00_1511); 
BgL_envz00_1576 = 
(BgL_envz00_bglt)(BgL_envz00_1512); 
return 
BGl_compilerzd2funcallzd2zzjvm_compilerz00(BgL_ez00_1575, BgL_envz00_1576);} } 
}



/* compile-expr-app-ly3040 */
obj_t BGl_compilezd2exprzd2appzd2ly3040zd2zzjvm_exprz00(obj_t BgL_envz00_1513, obj_t BgL_ez00_1514, obj_t BgL_envz00_1515)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 38 */
{ /* ./Jvm/expr.scm 39 */
BgL_appzd2lyzd2_bglt BgL_ez00_1577;BgL_envz00_bglt BgL_envz00_1578;
BgL_ez00_1577 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_1514); 
BgL_envz00_1578 = 
(BgL_envz00_bglt)(BgL_envz00_1515); 
return 
BGl_compilerzd2applyzd2zzjvm_compilerz00(BgL_ez00_1577, BgL_envz00_1578);} } 
}



/* compile-expr-app3038 */
obj_t BGl_compilezd2exprzd2app3038z00zzjvm_exprz00(obj_t BgL_envz00_1516, obj_t BgL_ez00_1517, obj_t BgL_envz00_1518)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 35 */
{ /* ./Jvm/expr.scm 36 */
BgL_appz00_bglt BgL_ez00_1579;BgL_envz00_bglt BgL_envz00_1580;
BgL_ez00_1579 = 
(BgL_appz00_bglt)(BgL_ez00_1517); 
BgL_envz00_1580 = 
(BgL_envz00_bglt)(BgL_envz00_1518); 
return 
BGl_compilerzd2appzd2zzjvm_compilerz00(BgL_ez00_1579, BgL_envz00_1580);} } 
}



/* compile-expr-let-fun3036 */
obj_t BGl_compilezd2exprzd2letzd2fun3036zd2zzjvm_exprz00(obj_t BgL_envz00_1519, obj_t BgL_ez00_1520, obj_t BgL_envz00_1521)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 32 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_1276;BgL_envz00_bglt BgL_envz00_1277;
BgL_ez00_1276 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_1520); 
BgL_envz00_1277 = 
(BgL_envz00_bglt)(BgL_envz00_1521); 
return 
BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_ez00_1276, BgL_envz00_1277, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-select3034 */
obj_t BGl_compilezd2exprzd2select3034z00zzjvm_exprz00(obj_t BgL_envz00_1522, obj_t BgL_ez00_1523, obj_t BgL_envz00_1524)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 29 */
{ 
BgL_selectz00_bglt BgL_ez00_1270;BgL_envz00_bglt BgL_envz00_1271;
BgL_ez00_1270 = 
(BgL_selectz00_bglt)(BgL_ez00_1523); 
BgL_envz00_1271 = 
(BgL_envz00_bglt)(BgL_envz00_1524); 
return 
BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_ez00_1270, BgL_envz00_1271, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-conditional3032 */
obj_t BGl_compilezd2exprzd2conditional3032z00zzjvm_exprz00(obj_t BgL_envz00_1525, obj_t BgL_ez00_1526, obj_t BgL_envz00_1527)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 26 */
{ 
BgL_conditionalz00_bglt BgL_ez00_1264;BgL_envz00_bglt BgL_envz00_1265;
BgL_ez00_1264 = 
(BgL_conditionalz00_bglt)(BgL_ez00_1526); 
BgL_envz00_1265 = 
(BgL_envz00_bglt)(BgL_envz00_1527); 
return 
BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_ez00_1264, BgL_envz00_1265, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-sequence3030 */
obj_t BGl_compilezd2exprzd2sequence3030z00zzjvm_exprz00(obj_t BgL_envz00_1528, obj_t BgL_ez00_1529, obj_t BgL_envz00_1530)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 23 */
{ 
BgL_sequencez00_bglt BgL_ez00_1258;BgL_envz00_bglt BgL_envz00_1259;
BgL_ez00_1258 = 
(BgL_sequencez00_bglt)(BgL_ez00_1529); 
BgL_envz00_1259 = 
(BgL_envz00_bglt)(BgL_envz00_1530); 
return 
BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_ez00_1258, BgL_envz00_1259, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-setq3028 */
obj_t BGl_compilezd2exprzd2setq3028z00zzjvm_exprz00(obj_t BgL_envz00_1531, obj_t BgL_ez00_1532, obj_t BgL_envz00_1533)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 19 */
{ 
BgL_setqz00_bglt BgL_ez00_1251;BgL_envz00_bglt BgL_envz00_1252;
BgL_ez00_1251 = 
(BgL_setqz00_bglt)(BgL_ez00_1532); 
BgL_envz00_1252 = 
(BgL_envz00_bglt)(BgL_envz00_1533); 
BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_ez00_1251, BgL_envz00_1252); 
{ /* ./Jvm/expr.scm 21 */
obj_t BgL_arg3469z00_1400;
BgL_arg3469z00_1400 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_1252, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_1252, BgL_arg3469z00_1400);} } } 
}



/* compile-expr-let-var3026 */
obj_t BGl_compilezd2exprzd2letzd2var3026zd2zzjvm_exprz00(obj_t BgL_envz00_1534, obj_t BgL_ez00_1535, obj_t BgL_envz00_1536)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 16 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1245;BgL_envz00_bglt BgL_envz00_1246;
BgL_ez00_1245 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_1535); 
BgL_envz00_1246 = 
(BgL_envz00_bglt)(BgL_envz00_1536); 
return 
BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_ez00_1245, BgL_envz00_1246, BGl_compilezd2exprzd2envz00zzjvm_exprz00);} } 
}



/* compile-expr-var3024 */
obj_t BGl_compilezd2exprzd2var3024z00zzjvm_exprz00(obj_t BgL_envz00_1537, obj_t BgL_ez00_1538, obj_t BgL_envz00_1539)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 13 */
{ /* ./Jvm/expr.scm 14 */
BgL_varz00_bglt BgL_ez00_1581;BgL_envz00_bglt BgL_envz00_1582;
BgL_ez00_1581 = 
(BgL_varz00_bglt)(BgL_ez00_1538); 
BgL_envz00_1582 = 
(BgL_envz00_bglt)(BgL_envz00_1539); 
return 
BGl_compilerzd2varzd2zzjvm_compilerz00(BgL_ez00_1581, BgL_envz00_1582);} } 
}



/* compile-expr-atom3022 */
obj_t BGl_compilezd2exprzd2atom3022z00zzjvm_exprz00(obj_t BgL_envz00_1540, obj_t BgL_ez00_1541, obj_t BgL_envz00_1542)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 10 */
{ 
BgL_atomz00_bglt BgL_ez00_1233;BgL_envz00_bglt BgL_envz00_1234;
BgL_ez00_1233 = 
(BgL_atomz00_bglt)(BgL_ez00_1541); 
BgL_envz00_1234 = 
(BgL_envz00_bglt)(BgL_envz00_1542); 
return 
BGl_compilerzd2atomzd2zzjvm_compilerz00(
(obj_t)(BgL_ez00_1233), BgL_envz00_1234);} } 
}



/* compile-expr */
BGL_EXPORTED_DEF obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt BgL_ez00_1, BgL_envz00_bglt BgL_envz00_2)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 8 */
{ /* ./Jvm/expr.scm 8 */
obj_t BgL_method3020z00_1404;
{ /* ./Jvm/expr.scm 8 */
BgL_objectz00_bglt BgL_objz00_1405;
BgL_objz00_1405 = 
(BgL_objectz00_bglt)(BgL_ez00_1); 
{ /* ./Jvm/expr.scm 8 */
long BgL_objzd2classzd2numz00_1406;
BgL_objzd2classzd2numz00_1406 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1405); 
{ /* ./Jvm/expr.scm 8 */
obj_t BgL_arg2017z00_1407;
{ /* ./Jvm/expr.scm 8 */
int BgL_auxz00_1731;
BgL_auxz00_1731 = 
(int)(((long)1)); 
BgL_arg2017z00_1407 = 
PROCEDURE_REF(BGl_compilezd2exprzd2envz00zzjvm_exprz00, BgL_auxz00_1731); } 
{ /* ./Jvm/expr.scm 8 */
int BgL_offsetz00_1410;
BgL_offsetz00_1410 = 
(int)(BgL_objzd2classzd2numz00_1406); 
{ /* ./Jvm/expr.scm 8 */
long BgL_offsetz00_1411;
{ /* ./Jvm/expr.scm 8 */
long BgL_auxz00_1735;
BgL_auxz00_1735 = 
(long)(BgL_offsetz00_1410); 
BgL_offsetz00_1411 = 
(BgL_auxz00_1735-OBJECT_TYPE); } 
{ /* ./Jvm/expr.scm 8 */
long BgL_modz00_1412;
{ /* ./Jvm/expr.scm 8 */
int BgL_arg2028z00_1413;
BgL_arg2028z00_1413 = 
(int)(((long)8)); 
{ /* ./Jvm/expr.scm 8 */
long BgL_n2z00_1421;
BgL_n2z00_1421 = 
(long)(BgL_arg2028z00_1413); 
BgL_modz00_1412 = 
(BgL_offsetz00_1411/BgL_n2z00_1421); } } 
{ /* ./Jvm/expr.scm 8 */
long BgL_restz00_1414;
{ /* ./Jvm/expr.scm 8 */
int BgL_arg2024z00_1415;
BgL_arg2024z00_1415 = 
(int)(((long)8)); 
{ /* ./Jvm/expr.scm 8 */
long BgL_n2z00_1424;
BgL_n2z00_1424 = 
(long)(BgL_arg2024z00_1415); 
BgL_restz00_1414 = 
(BgL_offsetz00_1411%BgL_n2z00_1424); } } 
{ /* ./Jvm/expr.scm 8 */

{ /* ./Jvm/expr.scm 8 */
obj_t BgL_bucketz00_1416;
{ /* ./Jvm/expr.scm 8 */
int BgL_kz00_1426;
BgL_kz00_1426 = 
(int)(BgL_modz00_1412); 
BgL_bucketz00_1416 = 
VECTOR_REF(BgL_arg2017z00_1407,BgL_kz00_1426); } 
{ /* ./Jvm/expr.scm 8 */
int BgL_kz00_1428;
BgL_kz00_1428 = 
(int)(BgL_restz00_1414); 
BgL_method3020z00_1404 = 
VECTOR_REF(BgL_bucketz00_1416,BgL_kz00_1428); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method3020z00_1404)(BgL_method3020z00_1404, 
(obj_t)(BgL_ez00_1), 
(obj_t)(BgL_envz00_2), BEOA);} } 
}



/* _compile-expr3662 */
obj_t BGl__compilezd2expr3662zd2zzjvm_exprz00(obj_t BgL_envz00_1438, obj_t BgL_ez00_1439, obj_t BgL_envz00_1440)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 8 */
return 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_1439), 
(BgL_envz00_bglt)(BgL_envz00_1440));} 
}



/* compile-expr-default3019 */
obj_t BGl_compilezd2exprzd2default3019z00zzjvm_exprz00(BgL_nodez00_bglt BgL_ez00_3, BgL_envz00_bglt BgL_envz00_4)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 2 */
{ /* ./Jvm/expr.scm 2 */
obj_t BgL_procz00_1429;obj_t BgL_objectz00_1431;
BgL_procz00_1429 = 
CNST_TABLE_REF(((long)1)); 
BgL_objectz00_1431 = 
(obj_t)(BgL_ez00_3); 
FAILURE(BgL_procz00_1429,BGl_string3819z00zzjvm_exprz00,BgL_objectz00_1431);} } 
}



/* _compile-expr-default3019 */
obj_t BGl__compilezd2exprzd2default3019z00zzjvm_exprz00(obj_t BgL_envz00_1543, obj_t BgL_ez00_1544, obj_t BgL_envz00_1545)
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 2 */
return 
BGl_compilezd2exprzd2default3019z00zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_1544), 
(BgL_envz00_bglt)(BgL_envz00_1545));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_exprz00()
{ AN_OBJECT;
{ /* ./Jvm/expr.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)58889), "jvm_expr"); 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)18045), "jvm_expr"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_compilerz00(((long)61602), "jvm_expr");} 
}

